/******************************************************************************/
/* pro2pgsql                                                                  */
/* Copyright (c) 2006, Scott Auge                                             */
/* All rights reserved.                                                       */
/*                                                                            */
/* Redistribution and use in source and binary forms, with or without         */
/* modification, are permitted provided that the following conditions         */
/* are met:                                                                   */
/*                                                                            */
/* * Redistributions of source code must retain the above copyright           */
/*   notice, this list of conditions and the following disclaimer.            */
/* * Redistributions in binary form must reproduce the above copyright        */
/*   notice, this list of conditions and the following disclaimer in          */
/*   the documentation and/or other materials provided with the distribution. */
/* * Neither the name of the Amduus Information Works, Inc. nor the names     */
/*   of its contributors may be used to endorse or promote products derived   */
/*   from this software without specific prior written permission.            */
/*                                                                            */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS        */
/* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED  */
/* TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR */
/* PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR           */
/* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,      */
/* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,        */
/* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR         */
/* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF     */
/* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING       */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS         */
/* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.               */
/******************************************************************************/

&IF DEFINED(CLEANNAME_I) = 0 &THEN
&GLOBAL-DEFINE CLEANNAME_I

DEF VAR RCS_CLEANNAME_I AS CHARACTER INIT "$Header: /home/appl/pro2pgsql/src/RCS/cleanname.i,v 1.6 2006/07/20 03:12:17 sauge Exp sauge $" NO-UNDO. 

FUNCTION FindParam RETURNS CHARACTER (INPUT c AS CHARACTER, INPUT d AS CHARACTER) FORWARD.

FUNCTION CleanName RETURNS CHARACTER (INPUT cName AS CHARACTER):

  DEFINE VARIABLE cCleanName AS CHARACTER NO-UNDO.

  IF FindParam("Transformations", "CleanName") = "yes" THEN DO:
    ASSIGN cCleanName = REPLACE (cName, "-", "_")
           cCleanName = REPLACE (cCleanName, "#", "no")
           cCleanName = REPLACE (cCleanName, "%", "pcnt")
           cCleanName = LOWER(cCleanName).

    RETURN cCleanName.

  END.
  ELSE
    RETURN cName.

END. /* FUNCTION CleanName */

&ENDIF
